Thread Closed
v17 LibreELEC Testbuilds for RaspberryPi (Kodi 17.0)
(2016-10-20, 08:43)Milhouse Wrote:
(2016-10-20, 00:08)mezo Wrote: thanks for your replay. i replaced start.elf and bootcode.bin from the next branch with the files from libreelec (would there even a usb possible without that?). or does libreelec somehow overwrite it with the old files on boot?

LibreELEC will overwrite the firmware from branch=next each time you upgrade so you'll need to restore the branch=next bootcode.bin and start.elf after every upgrade (these are the two files that allow the RPi3 to boot from USB). However as start.elf includes the GPU firmware you're basically installing non-standard GPU firmware that doesn't include all the updates from branch=master, which is the version we're testing in this thread, so expect problems nobody using the branch=master firmware can reproduce.

As such, please do not be report issues (playback/deinterlace problems, random crashes, GPU hangs etc.) in this thread if your GPU firmware is from branch=next.

Edit: it's possible you need the bootcode.bin/start.elf firmware from branch=next only to program the "program_usb_boot_mode" OTP bit, after which the current firmware provided by LE may allow you to boot from USB, but with only 120MB as that issue is not yet fixed in branch=master. Depending on whether the 120MB issue is in bootcode.bin or start.elf, try replacing only bootcode.bin from branch=next and see if that fixes the memory issue, but avoid using start.elf from branch=next with these test builds - if you do you're on your own... Smile
i tried it a second time by replacing bootcode.bin/start.elf from branch=next, but somehow i get only 120mb ram after.
  Thread Closed
 
Thread Rating:
  • 19 Vote(s) - 4.63 Average


Messages In This Thread
RPi2: no DV-codec? - by bubi - 2016-07-10, 10:30
DV-video not working - by bubi - 2016-07-15, 19:48
RE: LibreELEC Testbuilds for RaspberryPi (Kodi 17.0) - by mezo - 2016-10-20, 12:27


Logout Mark Read Team Forum Stats Members Help
LibreELEC Testbuilds for RaspberryPi (Kodi 17.0)4.6319